Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0017641
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 01. General setupminoralways2011-06-14 16:192011-10-12 01:59
Reporterdmitry_mezentsevView Statuspublic 
Assigned Tomarvintm 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisiona18a9f23fc35
ProjectionnoneETAnoneTarget Version3.0MP4
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0017641: Delete Client process does not work (this issue also groups other tickets related to the Delete Client process)

DescriptionIt is failing with an error but in general it has to be re-implemented using DAL (Martin can provide additional comments).
Steps To Reproduce.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0016552 acknowledgedplatform After deleting the client, the admin role is still in the menu 
related to defect 0012687 closedalostale Delete Client fails to delete a corrupted client 
related to defect 0012686 closeddbaz Delete Client does not show in progress spinning icon 
related to defect 0008575 closedmarvintm Delete client operation takes about 1,5h 
related to feature request 0004099 acknowledgediciordia Delete client should not drop constraints 
related to defect 0008607 closedalostale Delete client process does use and modify a table at the same time leading to error message in postgres logfile 
related to defect 0006759 closededuardo_Argal Delete Client: Error message that can not be closed 
related to backport 0017654 closedgorka_gil It is not possible to delete a client 
related to defect 0018627 closedshuehner api-check: int-api/2416 fails 

-  Notes
(0038352)
dmitry_mezentsev (developer)
2011-06-14 17:11

Requested by the Partner (Jan, www.cleardrop.biz).
(0040905)
hgbot (developer)
2011-09-12 12:11

Repository: erp/devel/pi
Changeset: a18a9f23fc3504f18312a793681f6b07f03bcf78
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Mon Sep 12 12:09:03 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/a18a9f23fc3504f18312a793681f6b07f03bcf78 [^]

Fixed issue 17641. Reimplemented backend side of the Delete Client process.

---
M src-db/database/lib/dbsourcemanager.jar
M src-test/org/openbravo/test/xml/ClientExportImportTest.java
M src/org/openbravo/erpCommon/ad_process/DeleteClient.java
M src/org/openbravo/service/system/SystemService.java
---
(0040914)
hgbot (developer)
2011-09-12 15:57

Repository: erp/devel/pi
Changeset: 57d3ba1c7f8960ff6ea350e1262714839142e37b
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Mon Sep 12 15:55:50 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/57d3ba1c7f8960ff6ea350e1262714839142e37b [^]

Related to issue 17641. Minor cleanup.

---
M src/org/openbravo/service/system/SystemService.java
---
(0041306)
iperdomo (developer)
2011-09-27 10:13

Tested on pi @ rev 343fb7cd2f2f
(0041310)
hgbot (developer)
2011-09-27 11:05

Repository: erp/devel/pi
Changeset: bad8c6d3677a9e1f043006eb281100fb7516cf8b
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Tue Sep 27 11:04:18 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/bad8c6d3677a9e1f043006eb281100fb7516cf8b [^]

Related to issue 17641. Removed old delete client objects.

---
M src-db/database/model/excludeFilter.xml
M src-db/database/model/postscript-Oracle.sql
M src-db/database/model/postscript-PostgreSql.sql
R src-db/database/model/functions/AD_DELETE_CLIENT.xml
R src-db/database/model/functions/AD_DELETE_CLIENT0.xml
R src/org/openbravo/erpCommon/ad_process/DeleteClient_data.xsql
---
(0041653)
hudsonbot (developer)
2011-10-12 01:58

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9bd2b5c2d982 [^]

Maturity status: Test
(0041657)
hudsonbot (developer)
2011-10-12 01:58

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9bd2b5c2d982 [^]

Maturity status: Test
(0041714)
hudsonbot (developer)
2011-10-12 01:59

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9bd2b5c2d982 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2011-06-14 16:19 dmitry_mezentsev New Issue
2011-06-14 16:19 dmitry_mezentsev Assigned To => marvintm
2011-06-14 16:19 dmitry_mezentsev Modules => Core
2011-06-14 16:32 dmitry_mezentsev Relationship added related to 0016552
2011-06-14 16:35 dmitry_mezentsev Summary Delete Client process does not work => Delete Client process does not work (this issue also groups other tickets related to the Delete Client process)
2011-06-14 16:36 dmitry_mezentsev Relationship added related to 0012687
2011-06-14 16:37 dmitry_mezentsev Relationship added related to 0012686
2011-06-14 16:37 dmitry_mezentsev Relationship added related to 0008575
2011-06-14 16:38 dmitry_mezentsev Relationship added related to 0004099
2011-06-14 16:56 dmitry_mezentsev Relationship added related to 0008607
2011-06-14 17:03 dmitry_mezentsev Relationship added related to 0006759
2011-06-14 17:11 dmitry_mezentsev Note Added: 0038352
2011-07-26 12:06 dmitry_mezentsev Relationship added related to 0017654
2011-07-26 16:05 marvintm Target Version 3.0MP2 => 3.0MP3
2011-08-31 10:13 marvintm Target Version 3.0MP3 => 3.0MP4
2011-09-12 12:11 hgbot Checkin
2011-09-12 12:11 hgbot Note Added: 0040905
2011-09-12 12:11 hgbot Status new => resolved
2011-09-12 12:11 hgbot Resolution open => fixed
2011-09-12 12:11 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/a18a9f23fc3504f18312a793681f6b07f03bcf78 [^]
2011-09-12 15:57 hgbot Checkin
2011-09-12 15:57 hgbot Note Added: 0040914
2011-09-27 10:13 iperdomo Note Added: 0041306
2011-09-27 10:13 iperdomo Status resolved => closed
2011-09-27 11:05 hgbot Checkin
2011-09-27 11:05 hgbot Note Added: 0041310
2011-09-27 16:29 shuehner Relationship added related to 0018627
2011-10-12 01:58 hudsonbot Checkin
2011-10-12 01:58 hudsonbot Note Added: 0041653
2011-10-12 01:58 hudsonbot Checkin
2011-10-12 01:58 hudsonbot Note Added: 0041657
2011-10-12 01:59 hudsonbot Checkin
2011-10-12 01:59 hudsonbot Note Added: 0041714


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker